aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRasmus Thomsen <oss@cogitri.dev>2020-08-01 14:40:29 +0200
committerRasmus Thomsen <oss@cogitri.dev>2020-08-01 15:07:30 +0000
commit8d549ffec4ca7fa693a2c5aa01b0c7b3c9da82ca (patch)
tree44831f2a7f7110029fb9223b22b72151f5519a79
parent2c1ed3fc26c7bd5027d1cb16708fa0fbec72f4de (diff)
downloadaports-8d549ffec4ca7fa693a2c5aa01b0c7b3c9da82ca.tar.gz
aports-8d549ffec4ca7fa693a2c5aa01b0c7b3c9da82ca.tar.bz2
aports-8d549ffec4ca7fa693a2c5aa01b0c7b3c9da82ca.tar.xz
community/searx: upgrade to 0.17.0
-rw-r--r--community/searx/1831.patch27
-rw-r--r--community/searx/APKBUILD11
-rw-r--r--community/searx/relax-dependencies.patch42
3 files changed, 26 insertions, 54 deletions
diff --git a/community/searx/1831.patch b/community/searx/1831.patch
deleted file mode 100644
index a76e1c149c..0000000000
--- a/community/searx/1831.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-Upstream: Yes, https://github.com/asciimoo/searx/pull/1831
-Reason: Fixes startup with py3-werkzeug 1.x
-From b8b13372c8fd3bfe978a1c724ab98b05348df054 Mon Sep 17 00:00:00 2001
-From: Nicolas Gelot <nicolas.gelot@e.email>
-Date: Thu, 6 Feb 2020 22:40:58 +0100
-Subject: [PATCH] Fix deprecated werkzeug import
-
-Close: #1830
-Signed-off-by: Nicolas Gelot <nicolas.gelot@e.email>
----
- requirements.txt | 2 +-
- searx/webapp.py | 2 +-
- 2 files changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/searx/webapp.py b/searx/webapp.py
-index aadefe6b9..5ed9f1277 100644
---- a/searx/webapp.py
-+++ b/searx/webapp.py
-@@ -47,7 +47,7 @@
- from html import escape
- from datetime import datetime, timedelta
- from time import time
--from werkzeug.contrib.fixers import ProxyFix
-+from werkzeug.middleware.proxy_fix import ProxyFix
- from flask import (
- Flask, request, render_template, url_for, Response, make_response,
- redirect, send_from_directory
diff --git a/community/searx/APKBUILD b/community/searx/APKBUILD
index 484648fc60..d113113095 100644
--- a/community/searx/APKBUILD
+++ b/community/searx/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Rasmus Thomsen <oss@cogitri.dev>
# Maintainer: Rasmus Thomsen <oss@cogitri.dev>
pkgname=searx
-pkgver=0.16.0
-pkgrel=1
+pkgver=0.17.0
+pkgrel=0
pkgdesc="Privacy-respecting metasearch engine"
url="https://asciimoo.github.io/searx/"
arch="noarch"
@@ -14,7 +14,7 @@ makedepends="py3-setuptools"
options="!check" # many missing deps, e.g. py3-splinter
source="https://github.com/asciimoo/searx/archive/v$pkgver/searx-$pkgver.tar.gz
relax-dependencies.patch
- 1831.patch"
+ "
prepare() {
default_prepare
@@ -41,6 +41,5 @@ package() {
mv "$pkgdir"/usr/lib/python*/site-packages/searx/settings.yml "$pkgdir"/etc/searx
}
-sha512sums="4ea6d5a3cce8fb2b49d873f1ac16401ae7fb83672e5fe1e1b443b7b8563befeaa61e79e7383b85ff4360cbcf0a4bdf90e16cc7a16394f8b40c364d814404b03b searx-0.16.0.tar.gz
-7ab2a9b3a14d878047f485667271e5b97102b2cc2b862cf07dc79bae4ddd0e08391aac89d7b1cdca90bfd77ae942c09e3bf4602015497b87530b3d84d06c9fe1 relax-dependencies.patch
-d85c9726882b841b4fc796616baaf2731b5d6d185c6df28bb296946700654cafb96c83242c4066630e56dbeeb54fc17750798049a9c73fe6c4514144b2fdd961 1831.patch"
+sha512sums="d87dc559aa199ae61adcc22c5683ccd06ce9ce3a0d6cfb35d171ec8c5f0db8211ea9315dce0f0099338a137e862c8943d917b77077c8b0a00e081a443a4c0e5f searx-0.17.0.tar.gz
+0431400383b2ab7b5a12c96a3e86f1dd385c5c906ded607005b1877443fb2a497f06766d795d7fbe2d0c131a42efcf270595fcecc61ced76860a902b9270c736 relax-dependencies.patch"
diff --git a/community/searx/relax-dependencies.patch b/community/searx/relax-dependencies.patch
index 3f95f7dbba..9eb03719b7 100644
--- a/community/searx/relax-dependencies.patch
+++ b/community/searx/relax-dependencies.patch
@@ -1,29 +1,29 @@
diff --git a/requirements.txt b/requirements.txt
-index 6e4df37..8955910 100644
+index 5d508d7..f6b7f37 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,12 +1,12 @@
--certifi==2019.3.9
+-certifi==2020.4.5.1
-babel==2.7.0
--flask-babel==0.12.2
--flask==1.0.2
--idna==2.8
--jinja2==2.10.1
--lxml==4.3.3
+-flask-babel==1.0.0
+-flask==1.1.2
+-idna==2.9
+-jinja2==2.11.1
+-lxml==4.5.0
-pygments==2.1.3
--pyopenssl==19.0.0
+-pyopenssl==19.1.0
-python-dateutil==2.8.0
--pyyaml==5.1
--requests[socks]==2.22.0
-+certifi>2019.3.9
-+babel>2.7.0<3
+-pyyaml==5.3.1
+-requests[socks]==2.23.0
++certifi>=2020.4.5.1
++babel>=2.7.0<3
+flask-babel>=1.0.0<2
-+flask>1.0.2<2
-+idna>2.8<3
-+jinja2>2.10.1<3
-+lxml>4.3.3<4
-+pygments>2.1.3<3
-+pyopenssl>19.0.0<20
-+python-dateutil>2.8.0<3
-+pyyaml>5.1<6
-+requests[socks]>2.22.0<3
++flask>=1.1.2<2
++idna>=2.9<3
++jinja2>=2.11.1<3
++lxml>=4.5.0<5
++pygments>=2.1.3<3
++pyopenssl>=19.1.0<20
++python-dateutil>=2.8.0<3
++pyyaml>=5.3.1<6
++requests[socks]>=2.23.0<3